#!/usr/local/bin/python

from OpenGL.GL import *
from OpenGL.GLU import *

from GLTools import *
from shaders import *

from Application import *


WINDOW_SIZE = [512,512,False]
WINDOW_SIZE = [800,600,False]
#WINDOW_SIZE = [1650,1050,True]

class MyApp(Application):

    def init(self):
        glDisable( GL_CULL_FACE )        
        self.logo_tex = Texture()
        self.logo_tex.load("data/tmt-logo.png")

    def render(self):
        glClearColor(0.0, 0.0, 0.0, 1.0)
        glClear(GL_COLOR_BUFFER_BIT|GL_DEPTH_BUFFER_BIT)

        glBlendFunc(GL_SRC_ALPHA,GL_ONE)
        glEnable(GL_BLEND)
        glColor3f(1.0,1.0,1.0)
        self.logo_tex.render([-1,1],[2,-2])

    def update(self, time_in_ms):
        pass


app = MyApp()
app.createWindow("My App", WINDOW_SIZE, WINDOW_SIZE[2] )
app.start()
    
